POST
/api/admin/merchants/{merchantId}/fee-statements
const url = 'https://example.com/api/admin/merchants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/fee-statements';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"merchantId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","periodStart":"2026-04-15T12:00:00Z","periodEnd":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/admin/merchants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/fee-statements \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "merchantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "periodStart": "2026-04-15T12:00:00Z", "periodEnd": "2026-04-15T12:00:00Z" }'Generate a Draft statement for the outstanding (unbilled) fees up to an optional cutoff.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” merchantId
required
string format: uuid
Request Body
Section titled “Request Body ”object
merchantId
string format: uuid
periodStart
string format: date-time
periodEnd
string format: date-time
Example generated
{ "merchantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "periodStart": "2026-04-15T12:00:00Z", "periodEnd": "2026-04-15T12:00:00Z"}object
merchantId
string format: uuid
periodStart
string format: date-time
periodEnd
string format: date-time
Example generated
{ "merchantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "periodStart": "2026-04-15T12:00:00Z", "periodEnd": "2026-04-15T12:00:00Z"}object
merchantId
string format: uuid
periodStart
string format: date-time
periodEnd
string format: date-time
Example generated
{ "merchantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "periodStart": "2026-04-15T12:00:00Z", "periodEnd": "2026-04-15T12:00:00Z"}Responses
Section titled “ Responses ”Created
Media type application/json
object
statement
object
id
string format: uuid
merchantId
string format: uuid
reference
string
periodStart
string format: date-time
periodEnd
string format: date-time
status
string
totalFees
number format: double
totalNet
number format: double
transactionCount
integer format: int32
currency
string
finalisedAt
string format: date-time
paidAt
string format: date-time
createdAt
string format: date-time
paymentReference
string
notes
string
lines
object
items
Array<object>
object
transactionId
string format: uuid
occurredAt
string format: date-time
description
string
reference
string
status
string
amount
number format: double
feeAmount
number format: double
netAmount
number format: double
page
integer format: int32
pageSize
integer format: int32
totalCount
integer format: int32
totalPages
integer format: int32
hasNextPage
boolean
hasPreviousPage
boolean
Example
{ "statement": { "status": "Draft" }, "lines": { "items": [ { "status": "Processing" } ] }}Not Found
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}